import type { ModelConfig, Field, Template } from './types.js';
export declare class Model {
    modelId: number;
    name: string;
    fields: Field[];
    templates: Template[];
    css: string;
    latexPre: string;
    latexPost: string;
    type: number;
    tags: string[];
    constructor(config: ModelConfig);
    private processFields;
    private processTemplates;
    private getDefaultCss;
    private getDefaultLatexPre;
    private getDefaultLatexPost;
    /**
     * Generate the JSON representation for the Anki collection
     */
    toJson(): string;
}
//# sourceMappingURL=model.d.ts.map