import { Model } from './model.js';
/**
 * Built-in card models similar to genanki
 */
export declare const builtin: {
    /**
     * Basic model with Front and Back fields
     */
    BASIC_MODEL: Model;
    /**
     * Basic model with reversed card
     */
    BASIC_AND_REVERSED_CARD_MODEL: Model;
    /**
     * Basic model with optional reversed card
     */
    BASIC_OPTIONAL_REVERSED_CARD_MODEL: Model;
    /**
     * Basic model with type in the answer
     */
    BASIC_TYPE_IN_THE_ANSWER_MODEL: Model;
    /**
     * Cloze deletion model
     */
    CLOZE_MODEL: Model;
    /**
     * Image occlusion model
     */
    IMAGE_OCCLUSION_MODEL: Model;
};
//# sourceMappingURL=builtin.d.ts.map