export declare class Card {
    id: string;
    noteId: string;
    deckId: number;
    ord: number;
    mod: number;
    usn: number;
    type: number;
    queue: number;
    due: number;
    ivl: number;
    factor: number;
    reps: number;
    lapses: number;
    left: number;
    odue: number;
    odid: number;
    flags: number;
    data: string;
    constructor(noteId: string, deckId: number, ord?: number, duePosition?: number);
    /**
     * Generate SQL values for inserting into cards table
     */
    toSqlValues(): {
        id: number;
        nid: number;
        did: number;
        ord: number;
        mod: number;
        usn: number;
        type: number;
        queue: number;
        due: number;
        ivl: number;
        factor: number;
        reps: number;
        lapses: number;
        left: number;
        odue: number;
        odid: number;
        flags: number;
        data: string;
    };
}
//# sourceMappingURL=card.d.ts.map